You are not logged in.

#1 2021-03-05 02:34:07

Oceanarium
Member
Registered: 2021-03-04
Posts: 4

[REQUEST] RuneKit

Hello, about a month ago someone on Reddit decided to make a linux version of the Alt1 overlay program for RuneScape called "RuneKit".

https://www.reddit.com/r/runescape/comm … inux_so_i/

Someone in the comments said they would make an AUR, but its been about a month with no update. I tried to do it myself and I filled out most of the information but there was things that I didnt understand how to do, or how to find the information I needed. This package is not in the AUR, Ive been checking one a week for the last month. I was hoping that someone here could do it. I was going to upload the PKGBUILD file that I mostly filled out to save someone time, but it doesnt seem you can even do that.

If someone could do this that would be amazing. Theres so many of us that have been waiting for this to come out since we switched from Windows. It really helps a lot with doing clue scrolls in the game, like slide puzzles, but has a lot of other uses too. The git page says that it has Mac OS functionality too, not just linux.

https://github.com/whs/runekit

Offline

#2 2021-03-05 07:43:23

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 12,507

Re: [REQUEST] RuneKit

Attach the PKGBUILD you've created here in

[code] code tags [/code] 

so we can help you fill the gaps

Offline

#3 2021-03-06 21:55:03

Oceanarium
Member
Registered: 2021-03-04
Posts: 4

Re: [REQUEST] RuneKit

 # Maintainer: Benjamin Ocean <oceanplants@protonmail.ch>
pkgname='runekit'
pkgver=1
pkgrel=1
epoch=
pkgdesc="Alt1-compatible toolbox for RuneScape 3"
arch=(x86_64)
url="https://github.com/whs/runekit"
license=('GPL')
groups=()
depends=('cython' 'libxcb' 'opencv' 'qt' 'poetry' 'pyside2' 'python-black' 'python2-click' 'python-pillow' 'python-psutil' 'python2-requests' 'python-sysv_ipc' 'python-xcffib' 'python-xlib' pyinstaller pyobjc-framework-quartz pyobjc-framework-applicationservices)
makedepends=()
checkdepends=()
optdepends=('python-requests-toolbelt')
provides=()
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("$pkgname-$pkgver.tar.gz"
        "$pkgname-$pkgver.patch")
source=('runekit::git://github.com/whs/runekit.git')        
noextract=()
md5sums=()
validpgpkeys=()

prepare() {
	cd "$pkgname-$pkgver"
	patch -p1 -i "$srcdir/$pkgname-$pkgver.patch"
}

build() {
	cd "$pkgname-$pkgver"
	./configure --prefix=/usr
	make
}

check() {
	cd "$pkgname-$pkgver"
	make -k check
}

package() {
	cd "$pkgname-$pkgver"
	make DESTDIR="$pkgdir/" install
}
 

I didnt put quotes on the last 3 dependencies because I couldnt find them in the repositories. I also took most of the dependencies from the pyproject.toml file from the master file, so I might have missed a few, though hopefully Ive got them all.

Last edited by Oceanarium (2021-03-06 21:56:38)

Offline

#4 2021-03-06 23:03:08

loqs
Member
Registered: 2014-03-06
Posts: 13,177

Re: [REQUEST] RuneKit

based on python-pyppeteer.  The followjg builds.  Most depends disabled.

  # Maintainer: Benjamin Ocean <oceanplants@protonmail.ch>
pkgname='runekit-git'
_pkgname=runekit
pkgver=platypus.initial.r19.g8eab6d9
pkgrel=1
pkgdesc="Alt1-compatible toolbox for RuneScape 3"
arch=('any')
url="https://github.com/whs/runekit"
license=('GPL3')
depends=('cython' 'pyside2' 'python-click' 'python-pillow' 'python-psutil' 'python-requests' 'python-sysv_ipc' 'python-xcffib')
makedepends=('git' 'python-poetry' 'python-pip')
optdepends=('python-requests-toolbelt')
source=('git+https://github.com/whs/runekit.git')        
sha256sums=('SKIP')

pkgver() {
  cd $_pkgname
  git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
	cd $_pkgname
	poetry config virtualenvs.create false --local
	poetry build --format wheel
}

package() {
  PIP_CONFIG_FILE=/dev/null pip install --isolated --root="$pkgdir" --ignore-installed --no-deps $_pkgname/dist/*.whl
}
}
 

Edit:
Added pkgver function.  Not sure how to format the git tag.

Last edited by loqs (2021-03-07 14:43:37)

Offline

#5 2021-03-07 18:04:35

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,995

Re: [REQUEST] RuneKit

Why add cython as a hard runtime dependency, when it's kind of by definition a tool for creating sdist (it generates C source code from templates), and not add all the things listed in tool.poetry.dependencies as actual runtime dependencies, like the actual GUI framework?


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#6 2021-03-07 18:20:49

loqs
Member
Registered: 2014-03-06
Posts: 13,177

Re: [REQUEST] RuneKit

@eschwartz not following on the missing GUI framework.

[tool.poetry.dependencies]
python = "^3.9,<3.10"
requests = "^2.25.1"
PySide2 = "^5.15.2"
Pillow = "^8.1.0"
sysv-ipc = [{ version="^1.1.0", platform="linux" }]
xcffib = [{ version="^0.11.1", platform="linux" }]
pyobjc-framework-Quartz = [{ version="7.1", platform="darwin" }]
pyobjc-framework-ApplicationServices = [{ version="7.1", platform="darwin" }]
pyobjc-framework-CoreText = [{ version="7.1", platform="darwin" }]
click = "^7.1.2"
psutil = "^5.8.0"
opencv-python-headless = "^4.5.1"

[tool.poetry.dev-dependencies]
Cython = "^0.29.21"
black = "^20.8b1"
pyinstaller = [{ version="^4.2", platform="darwin" }]
depends=('pyside2' 'python-click' 'python-pillow' 'python-psutil' 'python-requests' 'python-sysv_ipc' 'python-xcffib')
makedepends=('git' 'python-poetry' 'python-pip' 'cython')

The only missing dependency I can see comparing the two lists above is opencv-python-headless.
Edit:
Oh and what would you do with the git tag?

Last edited by loqs (2021-03-07 18:24:35)

Offline

#7 2021-03-07 18:34:08

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,995

Re: [REQUEST] RuneKit

loqs wrote:

@eschwartz not following on the missing GUI framework.

"Most depends disabled"

Apparently I had an out of date copy of the page. ¯\_(ツ)_/¯
Odd choice, but it was already fixed before my reply...

loqs wrote:

Oh and what would you do with the git tag?

The tag makes no sense, if you take a closer look at what it is tagging. I'd recommend ignoring the tag entirely and using

printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

pending the addition of a tag likely to denote a version.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#8 2021-03-07 18:46:21

loqs
Member
Registered: 2014-03-06
Posts: 13,177

Re: [REQUEST] RuneKit

  # Maintainer: Benjamin Ocean <oceanplants@protonmail.ch>
pkgname='runekit-git'
_pkgname=runekit
pkgver=r95.8eab6d9
pkgrel=1
pkgdesc="Alt1-compatible toolbox for RuneScape 3"
arch=('x86_64')
url="https://github.com/whs/runekit"
license=('GPL3')
depends=('cython' 'pyside2' 'python-click' 'python-pillow' 'python-psutil' 'python-requests' 'python-sysv_ipc' 'python-xcffib')
makedepends=('git' 'python-poetry' 'python-pip')
source=('git+https://github.com/whs/runekit.git')
sha256sums=('SKIP')

pkgver() {
  cd $_pkgname
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  cd $_pkgname
  poetry config virtualenvs.create false --local
  poetry build --format wheel
}

package() {
  PIP_CONFIG_FILE=/dev/null pip install --isolated --root="$pkgdir" --ignore-installed --no-deps $_pkgname/dist/*.whl
}

Add opencv for opencv-python-headless?
Edit:
Change arch back to x86_64 because of the use of cython.

Oceanarium,  does the above PKGBUILD work for you?

Last edited by loqs (2021-03-07 19:27:33)

Offline

#9 2021-03-12 22:06:08

Oceanarium
Member
Registered: 2021-03-04
Posts: 4

Re: [REQUEST] RuneKit

When I ran makepkg, it gave me this output:

 ==> Making package: runekit-git r95.8eab6d9-1 (Fri 12 Mar 2021 03:32:03 PM CST)
==> Checking runtime dependencies...
==> Missing dependencies:
  -> cython
  -> pyside2
  -> python-psutil
  -> python-sysv_ipc
  -> python-xcffib
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies. 

After manually installing all the dependencies listed it installed correctly, however there is no program in my programs list that is launchable. So if there is a way to run the program to check if it "works" I dont know of it lol.

Also when someone downloads the AUR they wont get the message I did right? It will automatically ask to install the required dependencies like normal?

Offline

#10 2021-03-13 11:56:30

loqs
Member
Registered: 2014-03-06
Posts: 13,177

Re: [REQUEST] RuneKit

pacman -Qlp runekit-git-r118.7104070-1-x86_64.pkg.tar.zst
runekit-git /usr/
runekit-git /usr/bin/
runekit-git /usr/bin/runekit
runekit-git /usr/lib/
runekit-git /usr/lib/python3.9/
runekit-git /usr/lib/python3.9/site-packages/
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/INSTALLER
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/LICENSE
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/METADATA
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/RECORD
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/REQUESTED
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/WHEEL
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/direct_url.json
runekit-git /usr/lib/python3.9/site-packages/runekit-0.1.0.dist-info/entry_points.txt
runekit-git /usr/lib/python3.9/site-packages/runekit/
runekit-git /usr/lib/python3.9/site-packages/runekit/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/__pycache__/main.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/__pycache__/schema.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/__pycache__/utils.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/schema.py
runekit-git /usr/lib/python3.9/site-packages/runekit/alt1/utils.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/
runekit-git /usr/lib/python3.9/site-packages/runekit/app/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/app/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/__pycache__/app.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/__pycache__/store.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/app.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/store.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__pycache__/browser_window.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__pycache__/popup_window.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/__pycache__/window.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/browser_window.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/popup_window.py
runekit-git /usr/lib/python3.9/site-packages/runekit/app/view/window.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/api.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/overlay.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/profile.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/scheme.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/__pycache__/utils.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/alt1.js
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/api.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/overlay.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/profile.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/scheme.py
runekit-git /usr/lib/python3.9/site-packages/runekit/browser/utils.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/instance.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/manager.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/overlay.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/psutil_mixins.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/__pycache__/qt.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/instance.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/manager.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/overlay.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/psutil_mixins.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/qt.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/__pycache__/instance.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/__pycache__/manager.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/instance.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/quartz/manager.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__pycache__/instance.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__pycache__/manager.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/__pycache__/ximage.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/instance.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/manager.py
runekit-git /usr/lib/python3.9/site-packages/runekit/game/x11/ximage.py
runekit-git /usr/lib/python3.9/site-packages/runekit/host/
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__pycache__/appstore_model.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__pycache__/host.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/host/__pycache__/settings.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/host/appstore_model.py
runekit-git /usr/lib/python3.9/site-packages/runekit/host/host.py
runekit-git /usr/lib/python3.9/site-packages/runekit/host/settings.py
runekit-git /usr/lib/python3.9/site-packages/runekit/image/
runekit-git /usr/lib/python3.9/site-packages/runekit/image/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/image/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/image/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/image/__pycache__/np_utils.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/image/np_utils.py
runekit-git /usr/lib/python3.9/site-packages/runekit/main.py
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__init__.py
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/__init__.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/notify.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/tooltip.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/tray.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/__pycache__/windowframe.cpython-39.pyc
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/notify.py
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/addressBack.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/background.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/balloonPoint.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderB.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderBL.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderBR.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderDrag.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderL.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderR.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderT.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderTL.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/borderTR.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/config.json
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/exit.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/exitHover.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/minimize.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/minimizeHover.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/restore.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/restoreHover.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/settings.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/settingsHover.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/titleBorderT.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/titleBorderTL.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/skins/default/titleBorderTR.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/tooltip.py
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/tray.py
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/trayicon.png
runekit-git /usr/lib/python3.9/site-packages/runekit/ui/windowframe.py

shows /usr/bin/runekit.  Try the command runekit from the console and see what happens?
eschwartz is much more knowledgeable than me on creating .desktop files.

Offline

#11 2021-03-14 20:54:42

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,995

Re: [REQUEST] RuneKit

The file deploy/RuneKit.desktop should be copied to "$pkgdir"/usr/share/applications/

I'm not sure why its chosen icon is "python", so... I would do the following:

- install runekit/ui/trayicon.png to "$pkgdir"/usr/share/icons/hicolor/32x32/apps/runekit.png

- use sed to modify RuneKit.desktop and replace "Icon=python" with "Icon=runekit"

- Implement this via an upstream pull request (upstream disabled issues, presumably to prevent people from asking for support unless they were willing to contribute code too), which implements https://docs.appimage.org/reference/app … #root-icon per the AppImage specification. Additionally leave a comment recommending that the author follow up on the PR by adding additional png resolutions, or including a SVG.

- once the PR is merged, you can stop patching the .desktop file, but you will still need to install the .desktop and icons manually since the Python Packaging Authority ecosystem does not support installing anything that pip cannot install, i.e. anything outside the python site-packages/ directory... hence you need additional tooling e.g. a Makefile for this.

Upstream does have a Makefile, but it's only used to build an AppImage.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

Board footer

Powered by FluxBB